package org.fouram.core.plugin.weixin.cp.core;

import org.fouram.core.util.ConfConfig;

import me.chanjar.weixin.cp.api.WxCpOaService;
import me.chanjar.weixin.cp.api.WxCpService;
import me.chanjar.weixin.cp.api.impl.WxCpOaServiceImpl;
import me.chanjar.weixin.cp.api.impl.WxCpServiceImpl;
import me.chanjar.weixin.cp.config.impl.WxCpDefaultConfigImpl;

/**
 * 企业微信工具类
 *
 * @author Liup
 */
public class WXCpOaBase {


	public static final WxCpService service = new WxCpServiceImpl();
	public static final WxCpOaService oaService;
	static {
		WxCpDefaultConfigImpl configStorage = new WxCpDefaultConfigImpl();
		configStorage.setCorpId(ConfConfig.getConfigString("wxCp.corpId"));
		configStorage.setCorpSecret(ConfConfig.getConfigString("wxCp.oa.secret"));
		configStorage.setAgentId(ConfConfig.getConfigInteger("wxCp.oa.agentId"));
		// 初始化基础service
		service.setWxCpConfigStorage(configStorage);
		// 初始化用户service
		oaService = new WxCpOaServiceImpl(service);
	}
}
