package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapBlacklist")
public class SapBlacklist implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;
	private String personId;
	private String reason;
	private Date createDate;
}
