package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapCheckReport")
public class SapCheckReport implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;
	private String userId;
	private String workTime;
	private String offWorkTime;
	private String name;
	private String checkinDay;
	private String checkinDate;
	private String checkinException;
	private String checkoffDate;
	private String checkoffException;
	private String checkoutDate1;
	private String checkoutDate2;
	private String leaveCreatedTime;
	private String leaveStartDate;
	private String leaveEndDate;
	private String leaveDay;
	private String leaveComment;
	private String bukaDay;
	private String result;

}
