package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapEducation")
public class SapEducation implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String startDate;// 开始日期
	private String endDate;// 结束日期
	private String school;// 院校
	private String major;// 专业
	private String degree;// 学历
	private String qualification;// 学位
}
