package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapEmpEmployment")
public class SapEmpEmployment implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;
	private String startDate;// 最近一次入职日期
	private String firstDateWorked;// 首次工作日期
	private String originalStartDate;// 进入集团日期
	private String seniorityDate;// 司龄起始日期
	private String socialServiceAge;// 社会工龄
	private String seniority;// 司龄（最近入职）
	private String endDate;// 离职日期
	private String okToRehire;// 可以再雇佣
	private String salaryEndDate;// 最后结薪日期
	private String benefitsEndDate;// 福利结算日期
	private String leavingReason;// 离职详细原因
}
