package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapInsideWorkExperience")
public class SapInsideWorkExperience implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String startDate;// 开始日期
	private String endDate;// 结束日期
	private String title;// 职务
	private String department;// 部门
}
