package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapOprLog")
public class SapOprLog implements Serializable {
	private static final long serialVersionUID = 1L;

	private String id;
	private String content;
	private String oprType;
	private String oprUserId; 
	private Date createDate;
}
