package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapOutsideWorkExperience")
public class SapOutsideWorkExperience implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String startDate; // 开始日期
	private String endDate;// 结束日期
	private String employer;// 曾工作公司名称
	private String businessType;// 公司所在地
	private String department;// 所在部门
	private String position;// 职位
	private String leavingReason;// 离职原因
	private String immediateSupervisorName;// 直接上司姓名
	private String contactInformation;// 联系方式
}
