package org.fouram.entity;

import java.io.Serializable;
import java.util.List;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "WxDepart")
public class WxDepart implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;
	private String name;
	private Long parentId;
	private Long orderBy;
	private List<WxDepart> children;
}
