package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "WxUserDepart")
public class WxUserDepart implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private Long departId;
	private Long firstDepartId;
	private String firstDepartName;
	private Long secondDepartId;
	private String secondDepartName;
	private Long thirdDepartId;
	private String thirdDepartName;
	private Long fourthDepartId;
	private String fourthDepartName;
	
	public String getFullDepartName() {
		StringBuffer sb = new StringBuffer(firstDepartName);
		if (secondDepartName != null) {
			sb.append("/").append(secondDepartName);
		}
		if (thirdDepartName != null) {
			sb.append("/").append(thirdDepartName);
		}
		if (fourthDepartName != null) {
			sb.append("/").append(fourthDepartName);
		}
		return sb.toString();
	}
}
