package org.fouram.constants;

import java.util.Map;

import org.fouram.core.util.ConfConfig;

import com.google.common.collect.Maps;

public final class WebConstants {

	public static final Long TOP_DEPART = 1L;

	public static final String TOP_DEPART_NAME = "华人文化集团";

	public static final String INGORE_PERSONIDS = ConfConfig.getConfigString("ingorePersonIds");

	// optionId->label键值对
	public static final Map<String, String> LABEL_MAP = Maps.newHashMap();
	
	// userId->name键值对
	public static final Map<String, String> NAME_MAP = Maps.newHashMap();
	
	public static final String ORG1 = "FOBusinessUnit";
	public static final String ORG2 = "FODivision";
	public static final String ORG3 = "FODepartment";
	public static final String ORG4 = "cust_org4";
	
	public static final String OPRTYPE_DELETE = "DELETE";
	
	public static final Map<String, String> CACHE = Maps.newHashMap();
	
	public static final String CACHE_SYNC_SAP = "CACHE_SYNC_SAP";
	
}
