package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapCertificates")
public class SapCertificates implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String name;// 证书/执照
	private String description;// 描述
	private String institution;// 证书颁发机构
	private String startDate;// 证书颁发日期
	private String endDate;// 证书到期日期
}
