package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapCheck")
public class SapCheck implements Serializable {
	private static final long serialVersionUID = 1L;

	private Long id;
	private String userId;
	private String groupName;
	private String checkinType;
	private Date checkinDate;
	private String checkinDay;
	private String exceptionType;
	private Long checkinTime;
	private String locationTitle;
	private String locationDetail;
	private String wifiName;
	private String wifiMac;
}
