package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapCheckOption")
public class SapCheckOption implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private Long workSec;
	private String workTime;
	private Long offWorkSec;
	private String offWorkTime;
}
