package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapCourses")
public class SapCourses implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String course;// 课程名称
	private String startDate;// 开始日期
	private String endDate;// 结束日期
	private String type;// 培训类型
	private String place;// 培训地点
	private String duration;// 历时
	private String result;// 培训结果
	private String certificateOrNot;// 是否有证书
	private String dueTime;// 培训服务期到期时间
	private String remark;// 备注
}
