package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapEmpJob")
public class SapEmpJob implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String positionName;// 职位
	private String positionEntryDate;// 就职日期
	private String companyName;// 公司
	private String businessUnitName;// 业务单元
	private String divisionName;// 部门
	private String departmentName;// 团队
	private String teamName;// 小组
	private String locationName;// 工作地点
	private String managerId;// 直线经理
	private String managerName;// 直线经理
	private String jobCodeName;// 职务分类
	private String jobTitle;// 标准职务名称
	private String rank;// 职级
	private String managementOrNot;// 是否管理层
}
