package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapEmployeeTime")
public class SapEmployeeTime implements Serializable {
	private static final long serialVersionUID = 1L;

	private String externalCode;
	private String lastModifiedDateTime;
	private String loaActualReturnDate;
	private String createdDateTime;
	private String timeType;
	private String loaExpectedReturnDate;
	private String flexibleRequesting;
	private String timeRecordOrigin;
	private String mdfSystemRecordStatus;
	private String custPeriod;
	private String quantityInHours;
	private String loaStartJobInfoId;
	private String startDate;
	private String startDateTime;
	private String endDate;
	private String endDateTime;
	private String displayQuantity;
	private String quantityInDays;
	private String startTime;
	private String loaEndJobInfoId;
	private String approvalStatus;
	private String cancellationWorkflowRequestId;
	private String deductionQuantity;
	private String editable;
	private String lastModifiedBy;
	private String workflowRequestId;
	private String undeterminedEndDate;
	private String userId;
	private String recurrenceGroup;
	private String createdBy;
	private String workflowInitiatedByAdmin;
	private String comment;
	private String fractionQuantity;
	private String endTime;
	private String originalQuantityInDays;

	public String getKeyString() {
		return new StringBuffer().append(externalCode).append(startDate).append(endDate).append(approvalStatus)
				.toString();
	}
}
