package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapLanguages")
public class SapLanguages implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String language;// 语言
	private String speakingProf;// 口语能力
	private String readingProf;// 阅读能力
	private String writingProf;// 书写能力
}
