package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapOverallPerformance")
public class SapOverallPerformance implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String startDate;// 起始日期
	private String endDate;// 结束日期
	private String module;// 模块
	private String name ;// 名称
	private String description;// 描述
}
