package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapPerEmail")
public class SapPerEmail implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;
	private String emailType;// 电子邮件类型
	private String emailAddress;// 电子邮件地址
	private String isPrimary;// 主要
}