package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapPerNationalId")
public class SapPerNationalId implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;
	private String countryName;// 国家/地区
	private String cardType;// 国民身份证类型
	private String nationalId;// 国民身份证
}