package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapPerPerson")
public class SapPerPerson implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;// 员工号
	private String dateOfBirth;// 出生日期
	private String placeOfBirth;// 籍贯
	private String education;// 最高学历
}
