package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapPerPersonal")
public class SapPerPersonal implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;
	private String firstName;// 名字
	private String lastName;// 姓氏
	private String displayName;// 英文全名
	private String formalName;// 全名
	private String nationality;// 国籍
	private String gender;// 性别
	private String maritalStatus;// 婚姻状况
	private String firstNameAlt1;// 英文名
	private String lastNameAlt1;// 英文姓
	private String firstNameAlt2;// 拼音名
	private String lastNameAlt2;// 拼音姓
}
