package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapPerPhone")
public class SapPerPhone implements Serializable {
	private static final long serialVersionUID = 1L;

	private String personId;
	private String phoneType;// 电话类型
	private String phoneNumber;// 电话号码
	private String isPrimary;// 主要
}