package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "WxUser")
public class WxUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String email;
	private String name;
	private String mobile;
	private String telephone;
	private Long departId;
	private Long firstDepartId;
	private String firstDepartName;
	private Long secondDepartId;
	private String secondDepartName;
	private String departIds;
	private String position;
	private Integer delFlag;
}
