package org.fouram.service;

import java.util.Date;

import org.fouram.core.base.service.BaseService;
import org.fouram.entity.SapBlacklist;
import org.springframework.stereotype.Service;

@Service
public class SapBlacklistService extends BaseService {

	public void saveOne(String personId, String reason) throws Exception {
		SapBlacklist entity = SapBlacklist.builder().personId(personId).reason(reason).createDate(new Date()).build();
		save("SapBlacklistMapper.saveOne", entity);
	}
	
	public SapBlacklist findByUserId(String personId) throws Exception {
		return (SapBlacklist) findObject("SapBlacklistMapper.findByPersonId", personId);
	}

	public void deleteById(String id) throws Exception {
		update("SapBlacklistMapper.deleteById", id);
	}
}
